Bug 433276 - AttributeError: iscsiTarget instance has no attribute 'LoginToNode'
AttributeError: iscsiTarget instance has no attribute 'LoginToNode'
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.2
All Linux
low Severity medium
: beta
: ---
Assigned To: Anaconda Maintenance Team
Milan Zazrivec
:
Depends On:
Blocks: 431904
  Show dependency treegraph
 
Reported: 2008-02-18 04:59 EST by Milan Zazrivec
Modified: 2008-05-21 11:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0397
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:33:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file used (511 bytes, text/plain)
2008-02-18 05:00 EST, Milan Zazrivec
no flags Details
proposed patch (477 bytes, patch)
2008-02-18 05:55 EST, Milan Zazrivec
no flags Details | Diff

  None (edit)
Description Milan Zazrivec 2008-02-18 04:59:40 EST
Description of problem:
RHEL5.2-Server-20080217.nightly iscsi installation:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 938, in ?
    instClass.setInstallData(anaconda)
  File "/usr/lib/anaconda/kickstart.py", line 831, in setInstallData
    self.ksparser.readKickstart(self.file)
  File "/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 1151, in
readKickstart
    self.handleCommand(lineno, args)
  File "/usr/lib/anaconda/kickstart.py", line 719, in handleCommand
    self.handler.handlers[cmd](cmdArgs)
  File "/usr/lib/anaconda/kickstart.py", line 183, in doIscsi
    if self.id.iscsi.addTarget(target.ipaddr, target.port, target.user,
target.password):
  File "/usr/lib/anaconda/iscsi.py", line 376, in addTarget
    if not t.login():
  File "/usr/lib/anaconda/iscsi.py", line 142, in login
    if self.LoginToNode(node):
AttributeError: iscsiTarget instance has no attribute 'LoginToNode'

Version-Release number of selected component (if applicable):
RHEL5.2-Server-20080217.nightly / anaconda-11.1.2.101-1

How reproducible:
Always
Comment 1 Milan Zazrivec 2008-02-18 05:00:20 EST
Created attachment 295151 [details]
kickstart file used
Comment 2 Milan Zazrivec 2008-02-18 05:55:17 EST
Created attachment 295154 [details]
proposed patch
Comment 4 David Cantrell 2008-02-18 14:54:54 EST
Will be fixed in anaconda-11.1.2.103-1.
Comment 6 Milan Zazrivec 2008-02-21 13:49:19 EST
Verified with anaconda-11.1.2.103-1 / RHEL5.2-Server-20080221.nightly
Comment 8 errata-xmlrpc 2008-05-21 11:33:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0397.html

Note You need to log in before you can comment on or make changes to this bug.